Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class WriterController

    java.lang.Object
      org.codehaus.groovy.classgen.asm.WriterController

    public class WriterController
    extends java.lang.Object

Field Summary
`boolean` | `optimizeForInt`

Method Summary
`AsmClassGenerator` | `getAcg()`
`AssertionWriter` | `getAssertionWriter()`
`BinaryExpressionHelper` | `getBinaryExpressionHelper()`
`int` | `getBytecodeVersion()`
`CallSiteWriter` | `getCallSiteWriter()`
`java.lang.String` | `getClassName()`
`ClassNode` | `getClassNode()`
`org.objectweb.asm.ClassVisitor` | `getClassVisitor()`
`ClosureWriter` | `getClosureWriter()`
`CompileStack` | `getCompileStack()`
`ConstructorNode` | `getConstructorNode()`
`GeneratorContext` | `getContext()`
`org.objectweb.asm.ClassVisitor` | `getCv()`
`InterfaceHelperClassNode` | `getInterfaceClassLoadingClass()`
`java.lang.String` | `getInternalBaseClassName()`
`java.lang.String` | `getInternalClassName()`
`InvocationWriter` | `getInvocationWriter()`
`int` | `getLineNumber()`
`MethodNode` | `getMethodNode()`
`org.objectweb.asm.MethodVisitor` | `getMethodVisitor()`
`OperandStack` | `getOperandStack()`
`ClassNode` | `getOutermostClass()`
`ClassNode` | `getReturnType()`
`SourceUnit` | `getSourceUnit()`
`StatementWriter` | `getStatementWriter()`
`TypeChooser` | `getTypeChooser()`
`UnaryExpressionHelper` | `getUnaryExpressionHelper()`
`void` | `init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)`
`boolean` | `isConstructor()`
`boolean` | `isFastPath()`
`boolean` | `isInClosure()`
`boolean` | `isInClosureConstructor()`
`boolean` | `isInScriptBody()` @return true if we are in a script body, where all variables declared are no longer local variables but are properties
`boolean` | `isNotClinit()`
`boolean` | `isNotExplicitThisInClosure(boolean implicitThis)`
`boolean` | `isStaticConstructor()`
`boolean` | `isStaticContext()`
`boolean` | `isStaticMethod()`
`void` | `resetLineNumber()`
`void` | `setConstructorNode(ConstructorNode cn)`
`void` | `setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)`
`void` | `setLineNumber(int n)`
`void` | `setMethodNode(MethodNode mn)`
`void` | `setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)`
`boolean` | `shouldOptimizeForInt()`
`void` | `switchToFastPath()`
`void` | `switchToSlowPath()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### optimizeForInt

    public boolean optimizeForInt

Method Detail

### getAcg

    public AsmClassGenerator getAcg()

### getAssertionWriter

    public AssertionWriter getAssertionWriter()

### getBinaryExpressionHelper

    public BinaryExpressionHelper getBinaryExpressionHelper()

### getBytecodeVersion

    public int getBytecodeVersion()

### getCallSiteWriter

    public CallSiteWriter getCallSiteWriter()

### getClassName

    public java.lang.String getClassName()

### getClassNode

    public ClassNode getClassNode()

### getClassVisitor

    public org.objectweb.asm.ClassVisitor getClassVisitor()

### getClosureWriter

    public ClosureWriter getClosureWriter()

### getCompileStack

    public CompileStack getCompileStack()

### getConstructorNode

    public ConstructorNode getConstructorNode()

### getContext

    public GeneratorContext getContext()

### getCv

    public org.objectweb.asm.ClassVisitor getCv()

### getInterfaceClassLoadingClass

    public InterfaceHelperClassNode getInterfaceClassLoadingClass()

### getInternalBaseClassName

    public java.lang.String getInternalBaseClassName()

### getInternalClassName

    public java.lang.String getInternalClassName()

### getInvocationWriter

    public InvocationWriter getInvocationWriter()

### getLineNumber

    public int getLineNumber()

### getMethodNode

    public MethodNode getMethodNode()

### getMethodVisitor

    public org.objectweb.asm.MethodVisitor getMethodVisitor()

### getOperandStack

    public OperandStack getOperandStack()

### getOutermostClass

    public ClassNode getOutermostClass()

### getReturnType

    public ClassNode getReturnType()

### getSourceUnit

    public SourceUnit getSourceUnit()

### getStatementWriter

    public StatementWriter getStatementWriter()

### getTypeChooser

    public TypeChooser getTypeChooser()

### getUnaryExpressionHelper

    public UnaryExpressionHelper getUnaryExpressionHelper()

### init

    public void init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)

### isConstructor

    public boolean isConstructor()

### isFastPath

    public boolean isFastPath()

### isInClosure

    public boolean isInClosure()

### isInClosureConstructor

    public boolean isInClosureConstructor()

### isInScriptBody

    public boolean isInScriptBody()

  Returns:
    true if we are in a script body, where all variables declared are no longer local variables but are properties

### isNotClinit

    public boolean isNotClinit()

### isNotExplicitThisInClosure

    public boolean isNotExplicitThisInClosure(boolean implicitThis)

### isStaticConstructor

    public boolean isStaticConstructor()

### isStaticContext

    public boolean isStaticContext()

### isStaticMethod

    public boolean isStaticMethod()

### resetLineNumber

    public void resetLineNumber()

### setConstructorNode

    public void setConstructorNode(ConstructorNode cn)

### setInterfaceClassLoadingClass

    public void setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)

### setLineNumber

    public void setLineNumber(int n)

### setMethodNode

    public void setMethodNode(MethodNode mn)

### setMethodVisitor

    public void setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)

### shouldOptimizeForInt

    public boolean shouldOptimizeForInt()

### switchToFastPath

    public void switchToFastPath()

### switchToSlowPath

    public void switchToSlowPath()

Groovy Documentation